<?php
/**
 * Action Plugin:   Redirect login, for use with external auth methods
 * 
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author     Christopher Smith <chris@jalakai.co.uk>  
 */

// must be run within Dokuwiki
if(!defined('DOKU_INC')) die();

if(!defined('DOKU_PLUGIN')) define('DOKU_PLUGIN',DOKU_INC.'lib/plugins/');
require_once(DOKU_PLUGIN.'action.php');

/**
 * All DokuWiki action plugins need to inherit from this class
 */
class action_plugin_loginredirect extends DokuWiki_Action_Plugin {

    /**
     * return some info
     */
    function getInfo(){
      return array(
        'author' => 'Christopher Smith',
        'email'  => 'chris@jalakai.co.uk',
        'date'   => '2006-10-14',
        'name'   => 'Login Redirector',
        'desc'   => 'Redirect a login request to another url, for use with external authentication methods.',
        'url'    => 'http://wiki.splitbrain.org/plugin:login_redirector',
      );
    }
    
    /*
     * plugin should use this method to register its handlers with the dokuwiki's event controller
     */
    function register(&$controller) {
      $controller->register_hook('ACTION_ACT_PREPROCESS','BEFORE', $this, 'handle_loginredirect');
    }
    
    function handle_loginredirect(&$event, $param) {
      if ($event->data == 'login') {
        $url = $this->getConf('url');
        if (empty($url)) return;
        
        header("Location: $url");
        exit();
      }
    }
    
    
}

//Setup VIM: ex: et ts=4 enc=utf-8 :
